MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
Response Class Reference

`#include <Response.hxx>`

## Public Member Functions
| Response (Client &_client, unsigned _list_index)
| Response (const Response &)=delete
Response & | operator= (const Response &)=delete
void | SetCommand (const char *_command)
bool | Write (const void *data, size_t length)
bool | Write (const char *data)
bool | FormatV (const char *fmt, va_list args)
bool | Format (const char *fmt,...)
void | Error (enum ack code, const char *msg)
void | FormatError (enum ack code, const char *fmt,...)

## Detailed Description

Definition at line 31 of file Response.hxx.

## Constructor & Destructor Documentation

Response::Response | ( | Client & | _client,
|  | unsigned | _list_index
| ) |  |
| inline

Definition at line 46 of file Response.hxx.

Response::Response | ( | const Response & |  | ) |
| delete

## Member Function Documentation

void Response::Error | ( | enum ack | code,
|  | const char * | msg
| ) |  |

bool Response::Format | ( | const char * | fmt,
|  |  | ...
| ) |  |

void Response::FormatError | ( | enum ack | code,
|  | const char * | fmt,
|  |  | ...
| ) |  |

bool Response::FormatV | ( | const char * | fmt,
|  | va_list | args
| ) |  |

Response& Response::operator= | ( | const Response & |  | ) |
| delete

void Response::SetCommand | ( | const char * | _command | ) |
| inline

Definition at line 52 of file Response.hxx.

bool Response::Write | ( | const void * | data,
|  | size_t | length
| ) |  |

bool Response::Write | ( | const char * | data | ) |

The documentation for this class was generated from the following file:

- client/Response.hxx